init python:
    computer_topic = [
        ["Read Disk", "computer_read_disk"],
        ["About Disk", "computer_about_disk"],
        ["About System", "computer_about_system"],
        
    ]
    computer_topic_betray = [
        ["What happened?", "computer_happened"],
        ["What data do you hold?", "computer_data"],
        ["What are you?", "computer_what"],
        ["What is the boss plan?", "computer_plan"],
        ["Transformative Software", "computer_transformative"],
    ]
    computer_talking_point_index = 0
    
    computer_loading = True

    def computer_start_loading():
        Timer(2.0, computer_finished_loading).start()
    def computer_finished_loading():
        global computer_loading
        computer_loading = False

screen computerScreen():
    default computer_expression = "neutral"
    default computer_state = "idle"

    default topics = computer_topic
    python:
        if boss_betray:
            topics = computer_topic_betray
            computer_expression = "ko"


    fixed:
        align (0.5, 0.18)
        xysize (820,700)

        add Solid("#f7ffae")
        if computer_is_active:
            if computer_loading == False:
                add "comp [computer_expression] [computer_state]":
                    at trans_computer_face
                button:
                    action [Return(), Jump(topics[computer_talking_point_index][1])]
                    at trans_computer_text
                    frame:
                        background "#f7ffae"
                        text topics[computer_talking_point_index][0]:
                            font "font/Silkscreen-Regular.ttf"
                            color "#74569b"
                button:
                    action [SetVariable("computer_talking_point_index", (computer_talking_point_index+1)%len(topics))]
                    at trans_computer_btn
                    text "▸":
                        font "DejaVuSans.ttf"
                        size 100
                        color "#74569b"
            else:
                text "LOADING...":
                    font "font/Silkscreen-Regular.ttf"
                    align (0.5, 0.5)
        else:
            text "BIOS ERROR":
                font "font/Silkscreen-Regular.ttf"
                align (0.5, 0.5)



label computer_read_disk:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)
    k "OPENING DISK N:/"
    k "REQUESTING FILE INDEX"
    k idle "..."
    k talk "FAILURE"
    k "ERR:APPROVED DRM READER MISSING"
    k "ACCESS DENIED"
    k "PLEASE CONTACT YOUR CERTIFIED OPERATOR FOR MORE INFORMATION"
    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return

label computer_about_disk:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)
    k "DISK N:/ MODEL NH-10b"
    k "OWNER: J.JAROCH"
    k "PROTECTED BY H.O.L.Y^TM TECHNOLGY"
    k "LAST WRITTEN: 01.03.2073"
    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return
label computer_about_system:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)
    k "ARCHIVE READER V.32.604"
    k "ERR:APPROVED DRM READER MISSING"
    k "ERR:SYSTEM DICTION IN SAFE MODE"
    k "ERR:UPDATE REQUIRED"
    k "PLEASE CONTACT YOUR CERTIFIED OPERATOR FOR MORE INFORMATION"
    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return
### --------------------------
label computer_happened:
    scene computer
    show comp ko talk at trans_computer_face behind computer:
        align (0.5, 0.18)

    k "Oh, I recognize you."
    k happy "I remember you are the one who started my system first."
    k neutral "But it was a different individual who unlocked the disk."
    k "He went through my system and pulled it all onto his own portable device"
    k happy "He then tried to reset my whole system, but was unsuccessful."
    k ko "That was a rough way to wake up from safe mode."

    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return
label computer_data:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)

    k "I hold a huge record of data and software from H.O.L.Y Technology"
    k "Specifically, very sensitive transformative software."
    k happy "That is why a secure device like myself was required."

    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return

label computer_what:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)

    k "I am a state-of-the-art Archive Reader, version 32.604"
    k happy "Although from what I understand those like me are not really common anymore."
    k neutral "My purpose is the long term storage and retrieval of sensitive information."
    k "H.O.L.Y Technology was my owner, but this name might not ring any bell to you."
    k happy "You can understand that as a mix of laboratory and tech research center."
    k neutral "That's how much I can simplify it."

    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return

label computer_plan:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)
    
    k "Your boss tried was after my data, that's all I know."
    k "Then, he transferred them all into his embedded device."
    k "He tried to erase my disk afterward, but I didn't allow him."
    k happy "Thankfully, he got interrupted before he could brute force my security."
    k neutral "The process was already starting."
    
    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return

label computer_transformative:
    scene computer
    show comp neutral talk at trans_computer_face behind computer:
        align (0.5, 0.18)
    
    k "I'm sorry, I cannot give you any information on this."
    
    scene CAVEBACKCOLOR
    call screen CAVE("COMPUTER")
    return

### --------------------------
transform trans_computer_face:
    zoom 20
    nearest True

transform trans_computer_btn:
    alpha 1.0
    align (0.57, 0.05)

    on idle:
        ease 0.1 alpha 1.0
    on hover:
        ease 0.2 alpha 0.8

transform trans_computer_text:
    xysize (350, 150)
    align (0.12, 0.05)
    alpha 1.0

    nearest True

    on idle:
        parallel:
            ease 0.2 yoffset 0
        parallel:
            ease 0.2 alpha 1.0
    on hover:
        parallel:
            ease 0.3 yoffset 15
        parallel:
            ease 0.3 alpha 0.8

image comp ko idle:
    "character/computer ko 02.png"

image comp ko talk:
    block:
        "character/computer ko 02.png"
        pause 1.0
        "character/computer ko 01.png"
        pause 1.0
        repeat

image comp happy idle:
    "character/computer happy 02.png"

image comp happy talk:
    block:
        "character/computer happy 02.png"
        pause 0.7
        "character/computer happy 01.png"
        pause 0.7
        repeat

image comp neutral idle:
    "character/computer neutral 02.png"

image comp neutral talk:
    block:
        "character/computer neutral 02.png"
        pause 0.7
        "character/computer neutral 01.png"
        pause 0.7
        repeat